Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153301 - xset led only changes the scroll lock led
Summary: xset led only changes the scroll lock led
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-04-04 16:43 UTC by Fred New
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-11 12:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 2967 None None None Never

Description Fred New 2005-04-04 16:43:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
According to the xset man page, "xset led" is supposed to turn all of the LEDs
on the keyboard.  And "xset -led" is supposed to turn them all off.  But this
doesn't happen; only the Scroll Lock LED turns on and off.  Not only that, but
I cannot get the "xset led nn" command to work except for "xset led 3", which
again controls the Scroll Lock LED.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-13

How reproducible:
Always

Steps to Reproduce:
1. Log into Gnome.
2. Open a terminal window.
3. xset led
  

Actual Results:  Only the Scroll Lock LED lights up.

Expected Results:  All 3 LEDs should light up.

Additional info:

The xset command also works this way on my FC3 system.

Comment 1 Mike A. Harris 2005-04-11 11:08:01 UTC
Please file a bug report in X.Org bugzilla to track this issue,
which is located at http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your report to X.Org, if you paste the URL here,
Red Hat will track the issue in X.Org bugzilla with upstream developers,
and will review any fixes that become available for potential inclusion
in future Fedora Core updates.


Comment 2 Mike A. Harris 2005-04-11 11:08:53 UTC
Setting status to "NEEDINFO", awaiting upstream bug URL for tracking.

Comment 3 Fred New 2005-04-11 11:24:27 UTC
Filed as bug 2967 at X.Org - https://bugs.freedesktop.org/show_bug.cgi?id=2967.

Comment 4 Mike A. Harris 2005-04-11 12:38:32 UTC
Thanks for the URL.  Setting status to "UPSTREAM" for tracking in the
X.Org bugzilla.


Note You need to log in before you can comment on or make changes to this bug.